classification
Title: add more readline support
Type: Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: loewis, quiver, sebbov
Priority: normal Keywords: patch

Created on 2005-12-22 23:01 by sebbov, last changed 2007-09-04 13:14 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
python-readline-additions.patch sebbov, 2005-12-28 16:45 readline patch
Messages (5)
msg49217 - (view) Author: Sebastien Boving (sebbov) Date: 2005-12-22 23:01
I came accross the need for more GNU readline library
support in the python readline module.  

This patch adds support for 2 extra functions and their
doc, get_completion_type() and
set_completion_display_matches_function_hook().  The
latter allows you to add set a python callback as the
readline rl_completion_display_matches function*.

I tested the patch against the svn head (2.5) on a
RedHat 9 intel system, and against a Python 2.4.2 on an
Ubuntu 5.10 intel system.









msg49218 - (view) Author: George Yoshida (quiver) (Python committer) Date: 2005-12-23 05:47
Logged In: YES 
user_id=671362

There's no patch!

You have to check the checkbox labeled "Check to Upload and 
Attach File" to upload a file.

Please try again.
msg49219 - (view) Author: Sebastien Boving (sebbov) Date: 2005-12-28 16:45
Logged In: YES 
user_id=1411229

There's no uploaded file!  You have to check the
checkbox labeled "Check to Upload & Attach File"
when you upload a file. In addition, even if you
*did* check this checkbox, a bug in SourceForge
prevents attaching a file when *creating* an issue.

Please try again.

(This is a SourceForge annoyance that we can do
nothing about. :-( )
msg49220 - (view) Author: Sebastien Boving (sebbov) Date: 2005-12-28 16:45
Logged In: YES 
user_id=1411229

ah, missed that.  should now be attached...
msg55639 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-09-04 13:14
Thanks for the patch. Committed as r57960.
History
Date User Action Args
2007-09-04 13:14:58loewissetstatus: open -> closed
resolution: accepted
2007-09-04 13:14:06loewissetnosy: + loewis
messages: + msg55639
versions: + Python 2.6, - Python 2.4
2005-12-22 23:01:02sebbovcreate